import { Suspense as o } from "react";
import { V as e, bh as i, bU as n, eA as t } from "./684d2f28.js";
import "react-dom";
function p(r, s) {
  return /* @__PURE__ */ e(i, {
    children: n() ? /* @__PURE__ */ e(o, {
      fallback: /* @__PURE__ */ e(t, {}),
      children: r
    }) : s
  });
}
export {
  p as useUIView
};
